#! /bin/bash
# fail immediately on error
set -e
CURLOPT=${CURLOPT:-"--location --remote-time --show-error --silent --fail --tlsv1.2"}

apt-get update  \
	&& apt-get dist-upgrade -y  \
	&& apt-get install -y  \
		apt-file  \
		apt-transport-https  \
		bash-completion  \
		build-essential  \
		byobu  \
		ca-certificates  \
		clang  \
		cmake  \
		command-not-found  \
		curl  \
		elinks  \
		exa  \
		git  \
		highlight  \
		htop  \
		libgit2-dev  \
		libpython3-dev  \
		locales  \
		man  \
		mc  \
		neovim  \
		python3  \
		python3-venv  \
		software-properties-common  \
		tig  \
		zsh  \
	&& apt-get install --no-install-recommends -y  \
		firejail  \
		firejail-profiles  \
	&&  apt-file update

# node related
curl $CURLOPT https://deb.nodesource.com/setup_14.x | bash -
apt-get install -y nodejs

# python3 related
curl $CURLOPT https://bootstrap.pypa.io/get-pip.py | python3

pip install ranger-fm

[ ! -x "$(which exa)" ] && cargo install --root /usr/local --git https://github.com/ogham/exa

cargo install --root /usr/local --git https://github.com/mookid/diffr

curl $CURLOPT -o /usr/local/sbin/cleanup.sh https://gist.github.com/schtobia/f02deeaf2fd20b23ae9fcf0f451cc858/raw/cleanup.sh \
    && chmod u+x /usr/local/sbin/cleanup.sh 
